Package org.springframework.util

# Class InvalidMimeTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.util.InvalidMimeTypeException

All Implemented Interfaces:
  `Serializable`

public class InvalidMimeTypeException extends IllegalArgumentException
Exception thrown from `MimeTypeUtils.parseMimeType(String)` in case of encountering an invalid content type specification String.

Since:
  4.0
Author:
  Juergen Hoeller, Rossen Stoyanchev
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidMimeTypeException(String mimeType, String message)`
Create a new InvalidContentTypeException for the given content type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMimeType()`
Return the offending content type.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidMimeTypeException

public InvalidMimeTypeException(String mimeType, String message)
Create a new InvalidContentTypeException for the given content type.

Parameters:
  `mimeType` - the offending media type
  `message` - a detail message indicating the invalid part

## Method Details

### getMimeType

public String getMimeType()
Return the offending content type.